This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 854098

Summary: Grub2 freezes when booting with hyper-threading on
Product: [Fedora] Fedora Reporter: Jeffrey L. Susanj <jsusanj>
Component: grub2Assignee: Peter Jones <pjones>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 19CC: dcantrell, dennis, hancockrwd, mads, pjones
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 09:26:58 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
grub file from /etc/default
none
The grub configuration file
none
dmesg when it works. none

Description Jeffrey L. Susanj 2012-09-03 22:42:55 EDT
Created attachment 609510 [details]
grub file from /etc/default

Description of problem:I am using a Dell Optiplex GX-270 with an Intel Pentium 4 3.00GHz CPU.  When I boot with hyper-threading enabled it freezes on the list of available OSs.  The time to boot is 5 seconds and does not count down.  With hyper-threading disabled, it boots correctly.  This works with Fedora 15 and grub.


Version-Release number of selected component (if applicable):The boot screen says 2.00~Beta


How reproducible:It happens every time.


Steps to Reproduce:
1.In the BIOS enable hyper-threading for the CPU
2.Select Save and Exit
3.
  
Actual results:It freezes on the OS list


Expected results:It should allow me to select an OS and boot or boot to the default when the timer times out.


Additional info:I dual boot between Fedora 17 and Windows XP SP 2
Comment 1 Jeffrey L. Susanj 2012-09-03 22:43:34 EDT
Created attachment 609511 [details]
The grub configuration file
Comment 2 Mads Kiilerich 2012-09-04 04:51:53 EDT
can you post a smolt profile and attach dmesg from a booted system?
Comment 3 Jeffrey L. Susanj 2012-09-04 18:45:45 EDT
Created attachment 609795 [details]
dmesg when it works.
Comment 4 Jeffrey L. Susanj 2012-09-04 18:54:36 EDT
My SMOLT Profile UUID is uuid=pub_458fbdcc-63e2-4179-ba59-b91346e2eef4.  I didn't see a way to print out the profile locally and post it.
Comment 5 Robert Hancock 2013-06-12 23:48:52 EDT
I am seeing a similar issue on Fedora 18 and grub2-2.00-15.fc18.i686 with a Dell Dimension 4600. It has the latest A12 BIOS installed. When HT is enabled in the BIOS, grub2 gets to the boot menu selection but then freezes up.

On further investigation it seems related to the USB legacy emulation in the BIOS. If I turn off the BIOS setting for "USB Emulation" then grub2 seems to work normally with HT turned on. As long as one is not actually using a USB keyboard then this is a reasonable workaround.

Given that the original reporter's machine is also a Dell with a BIOS that is likely similar, there's likely some bad interaction with the BIOS's USB legacy emulation which somehow only occurs with HT also enabled.
Comment 6 Fedora End Of Life 2013-07-03 22:39:38 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Robert Hancock 2013-07-04 00:16:28 EDT
Can Jeffrey (the reporter) or someone else who's able change the version to Fedora 19? I just confirmed this problem still occurs on my machine after upgrading to F19 and reinstalling grub2.
Comment 8 Jeffrey L. Susanj 2013-07-07 18:19:04 EDT
I installed Fedora 19 on my Dell and the bug still exists.  If you need a guinea pig, I can try out stuff on my GX270 since it is not useable for anything else.
Comment 9 Fedora End Of Life 2015-01-09 12:21:35 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-17 09:26:58 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.